#include <SoftwareSerial.h>
#include <A6GSM.h>

SoftwareSerial GSM_Serial(2, 3);// //(Arduino_Tx/A6_Rx, Arduino_Rx/A6_Tx)

A6GSM A6_GSM(GSM_Serial, 9600); //create a A6 GSM object named A6_GSM using the A6 GSM serial port @ 9600bps

const int gsm_rst = 10; // A6 reset pin connected to arduino pin 10

String net_operator = "gpinternet";

String host = "engrszone.com"; //Use Your Hosting
String Path = "/test.php";	   //Use Suiable Path
String dev_id = "0123456789";  // Device ID

void setup() 
{
  Serial.begin(9600);
  
  pinMode(gsm_rst, OUTPUT);
  
  A6_GSM.net_Init(gsm_rst, 5000, 500, net_operator); // A6_GSM.net_Init(arduino pin connected to A6 reset pin, after start reset delay, after end reset delay, internet providor)
}

void loop()
{
   String push_data = "000|123|456|789|987|654|321|000";
   
   A6_GSM.request(host, Path, push_data, dev_id);
}
